# Class BasicInternalFrameTitlePane.MaximizeAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicInternalFrameTitlePane.MaximizeAction

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

Enclosing class:
  `BasicInternalFrameTitlePane`

public class BasicInternalFrameTitlePane.MaximizeAction extends AbstractAction
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

## Field Summary

### Fields declared in class AbstractAction

`changeSupport, enabled`

### Fields declared in interface Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`MaximizeAction()`
Constructs a new instance of a `MaximizeAction`.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`
Invoked when an action occurs.

### Methods declared in class AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods declared in class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface Action

`accept`

## Constructor Details

### MaximizeAction

public MaximizeAction()
Constructs a new instance of a `MaximizeAction`.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent evt)
Description copied from interface: `ActionListener`
Invoked when an action occurs.

Parameters:
  `evt` - the event to be processed